ApplicationTimeoutPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: ApplicationTimeoutPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class ApplicationTimeoutPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.ApplicationTimeout
org.apache.hadoop.yarn.api.records.impl.pb.ApplicationTimeoutPBImpl

public class ApplicationTimeoutPBImpl extends org.apache.hadoop.yarn.api.records.ApplicationTimeout
PB implementation for ApplicationTimeout class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationTimeoutPBImpl()`
  `ApplicationTimeoutPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationTimeoutProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `String`
  `getExpiryTime()`
  `org.apache.hadoop.yarn.proto.YarnProtos.ApplicationTimeoutProto`
  `getProto()`
  `long`
  `getRemainingTime()`
  `org.apache.hadoop.yarn.api.records.ApplicationTimeoutType`
  `getTimeoutType()`
  `int`
  `hashCode()`
  `void`
  `setExpiryTime(String expiryTime)`
  `void`
  `setRemainingTime(long remainingTime)`
  `void`
  `setTimeoutType(org.apache.hadoop.yarn.api.records.ApplicationTimeoutType type)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.ApplicationTimeout

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationTimeoutPBImpl

    public ApplicationTimeoutPBImpl()

  - ### ApplicationTimeoutPBImpl

    public ApplicationTimeoutPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationTimeoutProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.ApplicationTimeoutProto getProto()

  - ### getTimeoutType

    public org.apache.hadoop.yarn.api.records.ApplicationTimeoutType getTimeoutType()
    Specified by:
      `getTimeoutType` in class `org.apache.hadoop.yarn.api.records.ApplicationTimeout`

  - ### setTimeoutType

    public void setTimeoutType(org.apache.hadoop.yarn.api.records.ApplicationTimeoutType type)
    Specified by:
      `setTimeoutType` in class `org.apache.hadoop.yarn.api.records.ApplicationTimeout`

  - ### getExpiryTime

    public String getExpiryTime()
    Specified by:
      `getExpiryTime` in class `org.apache.hadoop.yarn.api.records.ApplicationTimeout`

  - ### setExpiryTime

    public void setExpiryTime(String expiryTime)
    Specified by:
      `setExpiryTime` in class `org.apache.hadoop.yarn.api.records.ApplicationTimeout`

  - ### getRemainingTime

    public long getRemainingTime()
    Specified by:
      `getRemainingTime` in class `org.apache.hadoop.yarn.api.records.ApplicationTimeout`

  - ### setRemainingTime

    public void setRemainingTime(long remainingTime)
    Specified by:
      `setRemainingTime` in class `org.apache.hadoop.yarn.api.records.ApplicationTimeout`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`